Index: trunk/prototype/modules/attach_message/attach_message.js
===================================================================
--- trunk/prototype/modules/attach_message/attach_message.js	(revision 5336)
+++ trunk/prototype/modules/attach_message/attach_message.js	(revision 5399)
@@ -265,5 +265,5 @@
 		var firstFolder = jQuery("#foldertree-container")
 		.removeClass('empty-container')
-		.html(DataLayer.render(BASE_PATH + 'app/templates/foldertree.ejs', {folders: [tree1, tree2, tree3]}))
+		.html(DataLayer.render(BASE_PATH + 'api/templates/foldertree.ejs', {folders: [tree1, tree2, tree3]}))
 		.find("#foldertree").treeview()
 		.click(function(event){
@@ -313,5 +313,5 @@
 		jQuery("#mailgrid-container")
 		.removeClass('empty-container')
-		.html(DataLayer.render(BASE_PATH + 'app/templates/messagegrid.ejs', {}))
+		.html(DataLayer.render(BASE_PATH + 'api/templates/messagegrid.ejs', {}))
 		.find("#message_attacher_grid")
 		.jqGrid({
Index: trunk/prototype/modules/filters/filters.js
===================================================================
--- trunk/prototype/modules/filters/filters.js	(revision 5341)
+++ trunk/prototype/modules/filters/filters.js	(revision 5399)
@@ -229,5 +229,5 @@
     details_container.accordion({autoHeight: false});
     
-    DataLayer.render( BASE_PATH + 'app/templates/folderselect.ejs', 'folder:select', function( html ){
+    DataLayer.render( BASE_PATH + 'api/templates/folderselect.ejs', 'folder:select', function( html ){
 	  details_container.find(".select-folderlist").append( html );
     });
Index: trunk/prototype/modules/calendar/interceptors/Notifications.php
===================================================================
--- trunk/prototype/modules/calendar/interceptors/Notifications.php	(revision 5341)
+++ trunk/prototype/modules/calendar/interceptors/Notifications.php	(revision 5399)
@@ -2,6 +2,6 @@
 require_once ROOTPATH.'/modules/calendar/constants.php';
 require_once ROOTPATH.'/modules/calendar/interceptors/Helpers.php';
-require_once ROOTPATH.'/app/plugins/icalcreator/iCalcreator.class.php';
-require_once ROOTPATH.'/app/templates/parseTPL.php';
+require_once ROOTPATH.'/plugins/icalcreator/iCalcreator.class.php';
+require_once ROOTPATH.'/api/parseTPL.php';
  
 class Notifications extends Helpers 
@@ -140,5 +140,5 @@
             
              $subject['notificationType'] = 'Convite de Calendario';
-             $subject['eventTitle'] = $schedulable['summary'];
+             $subject['eventTitle'] = mb_convert_encoding($schedulable['summary'],'ISO-8859-1','ISO-8859-1,UTF-8');
              $subject['startDate'] = date_format( $sTime , 'd/m/Y');
              $subject['startTime'] = ($schedulable['allDay']) ? '' : date_format( $sTime , 'H:i');
@@ -200,5 +200,5 @@
           
         $subject['notificationType'] = 'Convite Aceito';
-        $subject['eventTitle'] = $schedulable['summary'];
+        $subject['eventTitle'] = mb_convert_encoding($schedulable['summary'],'ISO-8859-1','ISO-8859-1,UTF-8');
         $subject['startDate'] = date_format( $sTime , 'd/m/Y');
         $subject['startTime'] = ($schedulable['allDay']) ? '' : date_format( $sTime , 'H:i');
@@ -241,6 +241,6 @@
        $mail['attachments'][] = $ical;
        $mail['isHtml'] = true;                         
-       $mail['body'] = parseTPL::load_tpl( $data ,ROOTPATH.'/app/templates/'.$template.'.tpl');
-       $mail['subject'] = parseTPL::load_tpl( $subject ,ROOTPATH.'/app/templates/notify_subject.tpl');;
+       $mail['body'] = parseTPL::load_tpl( $data ,ROOTPATH.'/modules/calendar/templates/'.$template.'.tpl');
+       $mail['subject'] = parseTPL::load_tpl( $subject ,ROOTPATH.'/modules/calendar/templates/notify_subject.tpl');;
        $mail['from'] = Config::me('mail');   
        $mail['to'] = $to;
@@ -293,5 +293,5 @@
                     
              $subject['notificationType'] = 'Cancelamento de Calendario';
-             $subject['eventTitle'] = $schedulable['summary'];
+             $subject['eventTitle'] = mb_convert_encoding($schedulable['summary'],'ISO-8859-1','ISO-8859-1,UTF-8');
              $subject['startDate'] = date_format( $sTime , 'd/m/Y');
              $subject['startTime'] = ($schedulable['allDay']) ? '' : date_format( $sTime , 'H:i');
@@ -347,5 +347,5 @@
            
              $subject['notificationType'] = 'Cancelamento de Calendario';
-             $subject['eventTitle'] = $schedulable['summary'];
+             $subject['eventTitle'] = mb_convert_encoding($schedulable['summary'],'ISO-8859-1','ISO-8859-1,UTF-8');
              $subject['startDate'] = date_format( $sTime , 'd/m/Y');
              $subject['startTime'] = ($schedulable['allDay']) ? '' : date_format( $sTime , 'H:i');
@@ -421,5 +421,5 @@
 
             $subject['notificationType'] = 'Modificação de Calendario';
-            $subject['eventTitle'] = $schedulable['summary'];
+            $subject['eventTitle'] = mb_convert_encoding($schedulable['summary'],'ISO-8859-1','ISO-8859-1,UTF-8');
             $subject['startDate'] = date_format($sTime, 'd/m/Y');
             $subject['startTime'] = ($schedulable['allDay']) ? '' : date_format($sTime, 'H:i');
Index: trunk/prototype/modules/calendar/interceptors/DBMapping.php
===================================================================
--- trunk/prototype/modules/calendar/interceptors/DBMapping.php	(revision 5376)
+++ trunk/prototype/modules/calendar/interceptors/DBMapping.php	(revision 5399)
@@ -682,5 +682,5 @@
         if($valid == true)
         {
-             $newCriteria['filter'] = array('AND',$newCriteria['filter'] , array('=' , 'owner', $_SESSION['wallet']['user']['uidNumber']) );        
+             $newCriteria['filter'] = array('AND',$newCriteria['filter'] , array('=' , 'owner', Config::me('uidNumber')) );        
             $externalUsers = Controller::find( $newuri , $original['properties'] ? $original['properties'] : null , $newCriteria );
 
@@ -709,6 +709,6 @@
     public function createSchedulableMails( &$uri , &$result , &$criteria , $original ){
 	
-        require_once (ROOTPATH.'/app/plugins/icalcreator/iCalcreator.class.php' );
-        require_once (ROOTPATH.'/app/templates/parseTPL.php' );
+        require_once (ROOTPATH.'/plugins/icalcreator/iCalcreator.class.php' );
+        require_once (ROOTPATH.'/api/parseTPL.php' );
         $schedulable = Controller::read( array( 'concept' => 'schedulable' , 'id' => $result['id'] )); 
         $participants = Controller::find( array( 'concept' => 'participant' ) , false ,array( 'filter' => array('=', 'schedulable' ,  $result['id']) )) ; 
@@ -777,5 +777,5 @@
                                                           'schedulableLocation' =>  $schedulable['location'],
                                                           'participants' =>  $attList
-                                                        ),ROOTPATH.'/app/templates/notify_create_body.tpl');
+                                                        ),ROOTPATH.'/api/templates/notify_create_body.tpl');
                 
                 //TODO: Internacionalização do Subject
@@ -824,5 +824,5 @@
 //HELPERS
     private static function decodeRepeat( $repeat , $start , $end ) {
-    require_once ROOTPATH.'/app/plugins/when/When.php';
+    require_once ROOTPATH.'/plugins/when/When.php';
 
     $r = new When();
@@ -982,5 +982,5 @@
         $op = array_shift($filter);
 
-        if (is_array($filter[0])) {
+        if (isset($filter[0]) && is_array($filter[0])) {
             foreach ($filter as $i => $f)
                 $filter[$i] = self::validExternalUserCriteria($f, $map ,$findCalendar );
Index: trunk/prototype/modules/calendar/interceptors/DAViCalAdapter.php
===================================================================
--- trunk/prototype/modules/calendar/interceptors/DAViCalAdapter.php	(revision 5366)
+++ trunk/prototype/modules/calendar/interceptors/DAViCalAdapter.php	(revision 5399)
@@ -39,5 +39,5 @@
     
     static function import($data , $params = false)
-    {              
+    {                  
         $user =  Controller::find(array('concept' => 'user' , 'service' => 'OpenLDAP' ),false,array('filter' => array('=','uid',$params['owner'])));  
         $params['owner'] = $user[0]['id'];
@@ -87,6 +87,6 @@
         if(isset($params['calendar']))
         { 
-            require_once ROOTPATH.'/app/plugins/icalcreator/iCalUtilityFunctions.class.php';
-            require_once ROOTPATH.'/app/plugins/icalcreator/iCalcreator.class.php';
+            require_once ROOTPATH.'/plugins/icalcreator/iCalUtilityFunctions.class.php';
+            require_once ROOTPATH.'/plugins/icalcreator/iCalcreator.class.php';
             
             $vcalendar = new icalCreator( ); 
@@ -118,5 +118,5 @@
     
     static function move($origem , $destino , $owner)
-    {    
+    {  
         $user =  Controller::find(array('concept' => 'user' , 'service' => 'OpenLDAP' ),false,array('filter' => array('=','uid',$owner)));  
         $owner = $user[0]['id'];
@@ -153,7 +153,7 @@
     {  
       ob_start();
-      require_once ROOTPATH.'/app/plugins/davicalCliente/caldav-client-v2.php';
-      $cal = new CalDAVClient( $_SESSION['wallet']['caldav']['url'].'/'.$_SESSION['wallet']['user']['uid'].'/'.$params['collection'].'/', $_SESSION['wallet']['user']['uid'], $_SESSION['wallet']['user']['password'] );
-      $cal->DoPUTRequest( $_SESSION['wallet']['caldav']['url'].'/'.$_SESSION['wallet']['user']['uid'].'/'.$params['collection'].'/'.$params['uid'].'.ics', $data  );  
+      require_once ROOTPATH.'/plugins/davicalCliente/caldav-client-v2.php';
+      $cal = new CalDAVClient( Config::service( 'CalDAV' , 'url' ).'/'.Config::me( 'uid' ).'/'.$params['collection'].'/', Config::me( 'uid' ), $_SESSION['wallet']['user']['password'] );
+      $cal->DoPUTRequest( Config::service( 'CalDAV' , 'url' ).'/'.Config::me( 'uid' ).'/'.$params['collection'].'/'.$params['uid'].'.ics', $data  );  
       ob_end_clean();
     }
@@ -162,7 +162,7 @@
     {
        ob_start();
-       require_once ROOTPATH.'/app/plugins/davicalCliente/caldav-client-v2.php';
-       $cal = new CalDAVClient( $_SESSION['wallet']['caldav']['url'].'/'.$_SESSION['wallet']['user']['uid'].'/'.$params['collection'].'/', $_SESSION['wallet']['user']['uid'], $_SESSION['wallet']['user']['password']);
-       $cal->DoDELETERequest( $_SESSION['wallet']['caldav']['url'].'/'.$_SESSION['wallet']['user']['uid'].'/'.$params['collection'].'/'.$data.'.ics' );
+       require_once ROOTPATH.'/plugins/davicalCliente/caldav-client-v2.php';
+       $cal = new CalDAVClient( Config::service( 'CalDAV' , 'url' ).'/'.Config::me( 'uid' ).'/'.$params['collection'].'/', Config::me( 'uid' ), $_SESSION['wallet']['user']['password']);
+       $cal->DoDELETERequest( Config::service( 'CalDAV' , 'url' ).'/'.Config::me( 'uid' ).'/'.$params['collection'].'/'.$data.'.ics' );
        ob_end_clean();
     }
@@ -171,7 +171,7 @@
     {
        ob_start();
-       require_once ROOTPATH.'/app/plugins/davicalCliente/caldav-client-v2.php';
-       $cal = new CalDAVClient( $_SESSION['wallet']['caldav']['url'].'/'.$_SESSION['wallet']['user']['uid'].'/', $_SESSION['wallet']['user']['uid'], $_SESSION['wallet']['user']['password']);
-       $cal->DoDELETERequest($_SESSION['wallet']['caldav']['url'].'/'.$_SESSION['wallet']['user']['uid'].'/'.$data.'/');
+       require_once ROOTPATH.'/plugins/davicalCliente/caldav-client-v2.php';
+       $cal = new CalDAVClient( Config::service( 'CalDAV' , 'url' ).'/'.Config::me( 'uid' ).'/', Config::me( 'uid' ), $_SESSION['wallet']['user']['password']);
+       $cal->DoDELETERequest(Config::service( 'CalDAV' , 'url' ).'/'.Config::me( 'uid' ).'/'.$data.'/');
        ob_end_clean();
     }
@@ -180,6 +180,6 @@
     {
        ob_start();
-       require_once ROOTPATH.'/app/plugins/davicalCliente/caldav-client-v2.php';
-       $cal = new CalDAVClient( $_SESSION['wallet']['caldav']['url'].'/'.$_SESSION['wallet']['user']['uid'].'/', $_SESSION['wallet']['user']['uid'], $_SESSION['wallet']['user']['password']);       
+       require_once ROOTPATH.'/plugins/davicalCliente/caldav-client-v2.php';
+       $cal = new CalDAVClient( Config::service( 'CalDAV' , 'url' ).'/'.Config::me( 'uid' ).'/', Config::me( 'uid' ), $_SESSION['wallet']['user']['password']);       
        $cal->DoMOVERequest( $origem.'/' , $destination.'/' );
        ob_end_clean();
@@ -189,6 +189,6 @@
     {
        ob_start();
-       require_once ROOTPATH.'/app/plugins/davicalCliente/caldav-client-v2.php';
-       $cal = new CalDAVClient( $_SESSION['wallet']['caldav']['url'].'/'.$_SESSION['wallet']['user']['uid'].'/', $_SESSION['wallet']['user']['uid'], $_SESSION['wallet']['user']['password']);       
+       require_once ROOTPATH.'/plugins/davicalCliente/caldav-client-v2.php';
+       $cal = new CalDAVClient( Config::service( 'CalDAV' , 'url' ).'/'.Config::me( 'uid' ).'/', Config::me( 'uid' ), $_SESSION['wallet']['user']['password']);       
        ob_end_clean();
        return $cal->FindCalendars();
@@ -198,6 +198,6 @@
     {
         ob_start();
-        require_once ROOTPATH.'/app/plugins/davicalCliente/caldav-client-v2.php';
-        $cal = new CalDAVClient( $_SESSION['wallet']['caldav']['url'].'/'.$_SESSION['wallet']['user']['uid'].'/', $_SESSION['wallet']['user']['uid'], $_SESSION['wallet']['user']['password']);
+        require_once ROOTPATH.'/plugins/davicalCliente/caldav-client-v2.php';
+        $cal = new CalDAVClient( Config::service( 'CalDAV' , 'url' ).'/'.Config::me( 'uid' ).'/', Config::me( 'uid' ), $_SESSION['wallet']['user']['password']);
  
         $xml ="<?xml version=\"1.0\" encoding=\"utf-8\" ?>
@@ -216,5 +216,5 @@
           
           
-        $cal->DoXMLRequest('MKCALENDAR', $xml, $_SESSION['wallet']['caldav']['url'].'/'.$_SESSION['wallet']['user']['uid'].'/'.$location.'/');
+        $cal->DoXMLRequest('MKCALENDAR', $xml, Config::service( 'CalDAV' , 'url' ).'/'.Config::me( 'uid' ).'/'.$location.'/');
         ob_end_clean();
     }
@@ -223,6 +223,6 @@
     {
         ob_start();
-        require_once ROOTPATH.'/app/plugins/davicalCliente/caldav-client-v2.php';
-        $cal = new CalDAVClient( $_SESSION['wallet']['caldav']['url'].'/'.$_SESSION['wallet']['user']['uid'].'/', $_SESSION['wallet']['user']['uid'], $_SESSION['wallet']['user']['password']);
+        require_once ROOTPATH.'/plugins/davicalCliente/caldav-client-v2.php';
+        $cal = new CalDAVClient( Config::service( 'CalDAV' , 'url' ).'/'.Config::me( 'uid' ).'/', Config::me( 'uid' ), $_SESSION['wallet']['user']['password']);
          
         $events = $cal->GetCollectionETags($url) ;
@@ -234,6 +234,5 @@
             $args = array_merge($args , $sync);
         }
-           
-        
+          
         include ROOTPATH.'/Sync.php';
         ob_end_clean();
Index: trunk/prototype/modules/calendar/alarms.php
===================================================================
--- trunk/prototype/modules/calendar/alarms.php	(revision 5341)
+++ trunk/prototype/modules/calendar/alarms.php	(revision 5399)
@@ -4,5 +4,5 @@
 	define('ROOTPATH', dirname(__FILE__).'/../..');
 
-require_once ROOTPATH.'/app/controller.php';
+require_once ROOTPATH.'/api/controller.php';
 require_once ROOTPATH.'/modules/calendar/constants.php';
 
@@ -37,5 +37,5 @@
 		if((((int)( $ev['startTime'] / 1000 )) - ( $v['time'] * $unit )) < time() ) //ja esta na hora de mandar o alarme ?
 		{                               
-                        require_once (ROOTPATH.'/app/templates/parseTPL.php' );
+                        require_once (ROOTPATH.'/api/parseTPL.php' );
            
 			switch ($v['type']) {
@@ -87,5 +87,5 @@
                          
 						 $mail['isHtml'] = true;                         
-						 $mail['body'] = parseTPL::load_tpl($data,ROOTPATH.'/app/templates/notify_alarm_body.tpl');
+						 $mail['body'] = parseTPL::load_tpl($data,ROOTPATH.'/modules/calendar/templates/notify_alarm_body.tpl');
                          
 						 $mail['subject'] = 'Alarme de Calendario';
Index: trunk/prototype/modules/calendar/export.php
===================================================================
--- trunk/prototype/modules/calendar/export.php	(revision 5341)
+++ trunk/prototype/modules/calendar/export.php	(revision 5399)
@@ -1,4 +1,4 @@
 <?php
-require_once '../../app/controller.php';
+require_once '../../api/controller.php';
 $params = $_GET;
 
Index: trunk/prototype/modules/calendar/js/debug.js
===================================================================
--- trunk/prototype/modules/calendar/js/debug.js	(revision 5399)
+++ trunk/prototype/modules/calendar/js/debug.js	(revision 5399)
@@ -0,0 +1,24 @@
+function dump(arr,level) {
+		var dumped_text = "";
+		if(!level) level = 0;
+
+		//The padding given at the beginning of the line.
+		var level_padding = "";
+		for(var j=0;j<level+1;j++) level_padding += "    ";
+
+		if(typeof(arr) == 'object') { //Array/Hashes/Objects
+			for(var item in arr) {
+				var value = arr[item];
+
+				if(typeof(value) == 'object') { //If it is an array,
+					dumped_text += level_padding + "'" + item + "' ...\n";
+					dumped_text += dump(value,level+1);
+				} else {
+					dumped_text += level_padding + "'" + item + "' => \"" + value + "\"\n";
+				}
+			}
+		} else { //Stings/Chars/Numbers etc.
+			dumped_text = "===>"+arr+"<===("+typeof(arr)+")";
+		}
+		return dumped_text;
+	}
Index: trunk/prototype/modules/calendar/js/init.js
===================================================================
--- trunk/prototype/modules/calendar/js/init.js	(revision 5399)
+++ trunk/prototype/modules/calendar/js/init.js	(revision 5399)
@@ -0,0 +1,225 @@
+$(document).ready(function() {
+
+	refresh_calendars();
+	$tabs = $('#tabs').tabs({
+	    add: function( event, ui ) {
+			User.lastView = $tabs.tabs('option' ,'selected');
+			$tabs.tabs('select', '#' + ui.panel.id);
+		},
+		remove: function( event, ui ) {
+			$tabs.tabs('select', User.lastView);
+		},
+		show: function( event, ui ){
+			delete Calendar.currentViewKey;
+			$('#calendar').fullCalendar('refetchEvents');
+		}
+	})
+	.tabs('option', 'tabTemplate', "<li><a href='#{href}'>#{label}</a><span class='ui-icon ui-icon-close'>Remove Tab</span></li>" );
+
+	/**
+	  * Make a button to close the tab
+	  */
+	$tabs.find( "span.ui-icon-close" ).live( "click", function() {
+		var index = $( "li", $tabs ).index( $( this ).parent() );
+		if($tabs.tabs('option' ,'selected') == index){
+			if($tabs.tabs("length") == 2 && User.lastView != 1)
+				$tabs.tabs( "select", 0);
+			$tabs.tabs( "select", User.lastView);
+		}
+		if($tabs.tabs('option' ,'selected') == 0 || $tabs.tabs('option' ,'selected') == 1)
+			User.lastView = $tabs.tabs('option' ,'selected');
+		if(index != -1)
+		  $tabs.tabs( "remove", index );	
+			
+		
+		});	
+	$('.button.config-menu').button({
+	    icons: {
+		primary: "ui-icon-gear",
+		secondary: "ui-icon-triangle-1-s"
+	    },
+	    text: false
+	});
+      $('.button.add').button({
+	      icons: {
+		      secondary: "ui-icon-plus"
+	      }
+      })
+
+		var miniCalendar = $('.block-vertical-toolbox .mini-calendar').datepicker({
+			dateFormat: 'yy-m-d',
+			//dateFormat: 'DD, d MM, yy',
+			//inline: true,
+			firstDay: dayOfWeek(User.preferences.weekStart),
+			onSelect: function(dateText, inst)
+			{	
+				$tabs.tabs("select", "#calendar");
+				var date = dateText.split('-');
+				var dateFullCalendar = $.fullCalendar.formatDate($('#calendar').fullCalendar('getDate'), "yyyy-MM-dd").split('-');
+				$('#calendar').fullCalendar('gotoDate',date[0],date[1]-1,date[2]);
+				$('#calendar').fullCalendar( 'changeView', 'agendaDay' );
+			}			
+		})
+		.find('.ui-icon-circle-triangle-e').removeClass('ui-icon-circle-triangle-e').addClass('ui-icon-triangle-1-e').end()
+		.find('.ui-icon-circle-triangle-w').removeClass('ui-icon-circle-triangle-w').addClass('ui-icon-triangle-1-w');
+		
+		//Onclick do mês
+		$('.ui-datepicker-title .ui-datepicker-month').live('click',function(){
+			$tabs.tabs("select", "#calendar");
+			var currentDate = $.fullCalendar.formatDate($('#calendar').fullCalendar('getDate'), "yyyy-MM-dd").split('-');
+			$('#calendar').fullCalendar('gotoDate',$('.ui-datepicker-title .ui-datepicker-year').html(), Date.getMonthNumberFromName($('.ui-datepicker-title .ui-datepicker-month').html()),currentDate[2]);
+ 			$('#calendar').fullCalendar( 'changeView', 'month');
+		});
+		//Onclick do ano
+		$('.ui-datepicker-title .ui-datepicker-year').live('click',function(){
+			$tabs.tabs("select", "#calendar");
+			var currentDate = $.fullCalendar.formatDate($('#calendar').fullCalendar('getDate'), "yyyy-MM-dd").split('-');
+			$('#calendar').fullCalendar('gotoDate',$('.ui-datepicker-title .ui-datepicker-year').html(), Date.getMonthNumberFromName($('.ui-datepicker-title .ui-datepicker-month').html()), currentDate[2]);
+			$('.fc-button-year').click();
+		});
+		
+	//Onclick em um dia do calendário anual
+	$( ".fc-day-number" ).live( "click", function() {
+			
+		var date = $(this).parents('[class*="fc-day-"]').attr('class').match(/fc-day-(\d{4})-(\d{2})-(\d{2})/);
+
+		if (date) date.shift();
+		else return false;
+
+		$('#calendar').fullCalendar('gotoDate',date[0],date[1]-1,date[2]);
+		$('#calendar').fullCalendar( 'changeView', 'agendaDay' );
+	});	
+
+	$('.main-search input.search').keydown(function(event){
+		if(event.keyCode == 13) {
+			Encoder.EncodeType = "entity";
+			//$(this).val($(this).val());
+					
+			add_events_list($(this).val());
+			$(this).val('');
+		}
+	});
+				
+	$('.block-horizontal-toolbox .main-config-menu').menu({
+		content: $('.main-config-menu-content').html(),
+		positionOpts: {
+			posX: 'left', 
+			posY: 'bottom',
+			offsetX: -140,
+			offsetY: 0,
+			directionH: 'right',
+			directionV: 'down', 
+			detectH: true, // do horizontal collision detection  
+			detectV: true, // do vertical collision detection
+			linkToFront: false
+		},
+		flyOut: true,
+		showSpeed: 100,
+		crumbDefaultText: '>'
+	});
+	      
+		$('#trash').droppable({
+			drop: function(event, ui){
+				// 		calendar.fullCalendar( 'removeEvents', ui.draggable.attr('event-id') );
+				DataLayer.remove( "event", ui.draggable.attr('event-id') );
+				$(this).switchClass('empty','full');
+			},
+			tolerance: "touch"
+		});
+
+      /* initialize the calendar
+      -----------------------------------------------------------------*/
+		$(".button.add.add-event").click(function(event){
+			eventDetails({ 
+				startTime: $.now(),
+				endTime:!!User.preferences.defaultCalendar ? Calendar.signatureOf[User.preferences.defaultCalendar].calendar.defaultDuration != "" ? ($.now() + Calendar.signatureOf[User.preferences.defaultCalendar].calendar.defaultDuration * 60000) : (User.preferences.defaultDuration * 60000)
+				: $.now() + (User.preferences.defaultDuration * 60000)
+			}, true );
+		});
+
+	var calendar = $('#calendar').fullCalendar({
+
+		defaultView: User.preferences.defaultCalView,
+		timeFormat: User.preferences.hourFormat,
+		axisFormat: User.preferences.hourFormat,
+		eventSources: Calendar.sources,
+
+		header: {
+			left: 'prev,next today,basicWeek,basicDay',
+			center: 'title',
+			right: 'agendaDay,agendaWeek,month,year'
+		},
+		firstDay: dayOfWeek(User.preferences.weekStart),
+		editable: true,
+		selectable: true,
+		selectHelper: true,
+		droppable: true, // this allows things to be dropped onto the calendar !!!
+		timeFormat: {
+			agenda: 'HH:mm{ - HH:mm}',
+			'': 'HH:mm{ - HH:mm} }'
+		},
+		titleFormat: {
+			month: 'MMMM yyyy',                             
+			week: "dd[ yyyy] { 'a'[ MMM] dd 'de' MMMM '-' yyyy}", 
+			day: 'dddd,  dd MMM , yyyy'
+		},
+		columnFormat:{
+			month: 'ddd',    
+			week: 'ddd dd/MM', 
+			day: 'dddd dd/MM'  
+		},
+		monthNames: ['Janeiro','Fevereiro','Março','Abril','Maio','Junho','Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro' ], 
+		monthNamesShort: ['Jan','Fev','Mar','Abr','Maio','Jun','Jul','Ago','Set','Out','Nov','Dez'],
+		dayNames: [ 'Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado'],
+		dayNamesShort: ['Dom','Seg','Ter','Qua','Qui','Sex','Sáb'],
+		dayNamesShortest: ['D','S','T','Q','Q','S','S'],
+		allDayText: 'Dia todo',
+		buttonText: {
+			today: 'hoje',
+			month: 'mês',
+			week: 'semana',
+			day: 'dia',
+			year: 'ano'
+		},
+		
+		eventRender: function( event, element, view ){
+			$(element).attr( 'event-id', event.id );
+		},
+
+		select: function( start, end, allDay, event, view ){
+			eventDetails( { 'start': start,
+					'end': end,
+					'allDay': allDay } );
+		},
+
+		eventDrop: function( event ){
+			DataLayer.put( "schedulable:calendar", event );
+		},
+
+		eventResize: function( event ){
+			DataLayer.put( "schedulable:calendar", event );
+		},
+
+		eventClick: function( evt, event, view ){
+			eventDetails( DataLayer.get( "schedulable", evt.id), true);
+		}
+	});
+	  
+	if($(window).height() < $('body').height()){
+		var hei = $('body').height() - $(window).height();
+		hei = $('#divAppbox').height() - hei;
+		$('#divAppbox').css('max-height', hei);
+		$('#divAppbox').css('min-height', hei);
+		$('body').css('overflow-y','hidden');
+		delete hei;
+	 }
+	  
+	 $(window).resize(function(){
+		$('#divAppbox').css('max-height', $(window).height() - 104);
+		$('#divAppbox').css('min-height', $(window).height() - 104);
+		$('#divAppbox').css('overflow-x', 'auto');
+		$('#divAppbox').css('overflow-y', 'scroll');
+	});	  
+	//Todo chamada do metodo que adiciona ao full calendar o botao de listagem de eventos  
+	//listEvents();
+});
